{
	//login Davy Jones
	iChar = GenerateCharacter(PIRATE, WITH_SHIP, "officer", MAN, 1, BOSS);
    characters[iChar].id = "Davy Jones";
    characters[iChar].name = "Davy";
    characters[iChar].lastname = "Jones";
    characters[iChar].model = "pirate_5";
    characters[iChar].Ship.Type = GenerateShip(SHIP_DUTCHMAN, 1);
    characters[iChar].ship.name = "The Flying Dutchman";
    characters[iChar].skill.Fencing = 10;
    characters[iChar].skill.Gun = 10;
    LAi_SetHP(CharacterFromID("Davy Jones"), 1000.0, 1000.0);
	GiveItem2Character(CharacterFromID("Davy Jones"), "blade15");
    EquipCharacterByItem(CharacterFromID("Davy Jones"), "blade15");
    characters[iChar].cannotsurrender = 1;
    			
		int iChat_Quester_1 = GenerateCharacter(ENGLAND, WITHOUT_SHIP, "pirate", MAN, 0, BOSS);
		characters[iChat_Quester_1].id = "Chat_Quester_1";
		characters[iChat_Quester_1].model = "trader_14";
		characters[iChat_Quester_1].sex = "man";
		characters[iChat_Quester_1].greeting = "cit_tavern_4";
		characters[iChat_Quester_1].location = "Bridgetown_tavern";
		characters[iChat_Quester_1].group = "sit";
		characters[iChat_Quester_1].locator = "sit11";
		LAi_SetActorType(CharacterFromID("Chat_Quester_1"));
		characters[GetCharacterIndex("Chat_Quester_1")].dialog.filename = "Chat_Quester_1.c";
		characters[GetCharacterIndex("Chat_Quester_1")].dialog.currentnode = "First time";

		//start check: quester_finish
		pchar.quest.quester_finish.win_condition.l1 = "location";
		pchar.quest.quester_finish.win_condition.l1.location = "Bridgetown_tavern";
		pchar.quest.quester_finish.win_condition.l1.Dialog.Filename = "Chat_Quester_1.c";
		pchar.quest.quester_finish.win_condition.l1.NextDiag.CurrentNode = "Win";
		pchar.quest.quester_finish.win_condition = "Chat_Done";
			
			case "Chat_Done":
			GiveItem2Character(pchar, "pslip");
			break;

				//start check: exit to grenada sea
				pchar.quest.Exit_to_G_sea.win_condition.l1 = "location";
				pchar.quest.Exit_to_G_sea.win_condition.l1.location = "Grenada";
				pchar.quest.Exit_to_G_sea.win_condition = "Exit to G sea";

					case "Exit to G sea":
					//generate encounter
					iChar = GetCharacterIndex("Davy Jones");
					DeleteAttribute(&characters[iChar], "seaai");
					Group_CreateGroup("dutchman");
					Group_AddCharacter("dutchman", "Davy Jones");
					Group_SetGroupCommander("dutchman", "Davy Jones");
					Group_SetAddress("dutchman", "grenada", "quest_ships", "quest_ship_1");
					SetCharacterRelationBoth(nMainCharacterIndex, iChar, RELATION_ENEMY);
					Group_SetTaskAttack("dutchman", PLAYER_GROUP);
					Group_LockTask("dutchman");
					UpdateRelations();
					break;

				//start check: kill ships
				pchar.quest.Kill_ships.win_condition.l1 = "npc_death";
				pchar.quest.Kill_ships.win_condition.l1.character = iChar;
				pchar.quest.Kill_ships.win_condition = "Ship dead";
				trace("!!! sea spawned");

            //start check: kill boss
            LAi_SetCheckMinHP(CharacterFromID("Davy Jones"), 200.0, 0, "char_dead");

        case "Ship dead":
        //start check: exit to grenada sea
        pchar.quest.Exit_to_G_sea.win_condition.l1 = "location";
        pchar.quest.Exit_to_G_sea.win_condition.l1.location = "Grenada";
        pchar.quest.Exit_to_G_sea.win_condition = "Exit to G sea";
        break;

    case "char_dead":
    GiveItem2Character(pchar, "blade19");
    GiveItem2Character(pchar, "gun6");
    TakeItemFromCharacter(pchar, "pslip");
    break; 
}